Subject: Re: git push keeps writing after server failure

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Jun 2015 10:57:22 -0700

Shawn Pearce <[email-masked]> writes:

> I did something stupid like trying to push a copy of WebKit[1] into my
> GitHub account. This is ~5.2 GiB of data, which GitHub prefers not to
> accept. Ok ...
> ...
> Shouldn't git push realize its stream is broken and stop writing when
> the peer is all like "uh, no, I'm not going to do that, but thanks for
> trying"?

Nice wish, but I am not sure if we are structured to do that easily.
The "fatal:" message is going on the sideband that is demultiplexed
by a separate async "sideband-demux" thread and pack_objects() is
oblivious to what is being said on the error channel #2.